libqalculate-4.5.0: DataProperty Class Reference

libqalculate-4.5.0

Public Member Functions | Protected Attributes | List of all members
DataProperty Class Reference

A data set property. More...

`#include <DataSet.h>`

## Public Member Functions
| DataProperty (DataSet *parent_set, std::string s_name="", std::string s_title="", std::string s_description="")
| DataProperty (const DataProperty &dp)
void | set (const DataProperty &dp)
void | setName (std::string s_name, bool is_ref=false)
void | setNameIsReference (size_t index=1, bool is_ref=true)
bool | nameIsReference (size_t index=1) const
void | clearNames ()
void | addName (std::string s_name, bool is_ref=false, size_t index=0)
size_t | hasName (const std::string &s_name)
size_t | countNames () const
const std::string & | getName (size_t index=1) const
const std::string & | getReferenceName () const
void | setTitle (std::string s_title)
const std::string & | title (bool return_name_if_no_title=true) const
void | setDescription (std::string s_description)
const std::string & | description () const
void | setUnit (std::string s_unit)
const std::string & | getUnitString () const
const MathStructure * | getUnitStruct ()
std::string | getInputString (const std::string &valuestr)
std::string | getDisplayString (const std::string &valuestr)
MathStructure * | generateStruct (const std::string &valuestr, int is_approximate=-1)
void | setKey (bool is_key=true)
bool | isKey () const
void | setHidden (bool is_hidden=true)
bool | isHidden () const
void | setCaseSensitive (bool is_case_sensitive=true)
bool | isCaseSensitive () const
void | setUsesBrackets (bool uses_brackets=true)
bool | usesBrackets () const
void | setApproximate (bool is_approximate=true)
bool | isApproximate () const
void | setPropertyType (PropertyType property_type)
PropertyType | propertyType () const
bool | isUserModified () const
void | setUserModified (bool user_modified=true)
DataSet * | parentSet () const

## Protected Attributes
std::vector< std::string > | names
std::vector< bool > | name_is_ref
std::string | sdescr
std::string | stitle
std::string | sunit
MathStructure * | m_unit
bool | b_approximate
bool | b_brackets
bool | b_key
bool | b_case
bool | b_hide
DataSet * | parent
PropertyType | ptype
bool | b_uchanged

## Detailed Description

A data set property.

Property definitions for use with data set objects.

## Constructor & Destructor Documentation

## ◆ DataProperty()

DataProperty::DataProperty | ( | DataSet * | parent_set,
|  | std::string | s_name = `""`,
|  | std::string | s_title = `""`,
|  | std::string | s_description = `""`
| ) |  |

Create a data property.

Parameters

  s_name | Property name (initial) used for reference.
  s_title | Descriptive name/title.
  s_description | Description.

The documentation for this class was generated from the following file:

- /build/libqalculate/src/libqalculate-4.5.0/libqalculate/DataSet.h